| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::VideoThumbDecoder Class Reference

## Public Member Functions
| VideoThumbDecoder (const QString &filename)
bool | decodeVideoFrame () const
void | destroy ()
QString | getCodec () const
int | getDuration () const
int | getHeight () const
bool | getInitialized () const
void | getScaledVideoFrame (int scaledSize, bool maintainAspectRatio, VideoFrame &videoFrame)
int | getWidth () const
void | initialize (const QString &filename)
void | seek (int timeInSeconds)